## org.exist.xquery.test
Class XQueryTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.custommonkey.xmlunit.XMLTestCase
                  org.exist.xquery.test.XQueryTest

All Implemented Interfaces:
  junit.framework.Test, org.custommonkey.xmlunit.XMLConstants, org.custommonkey.xmlunit.XSLTConstants

public class XQueryTest
extends org.custommonkey.xmlunit.XMLTestCase

I propose that we put here in XQueryTest the tests involving all the others constructs of the XQuery language, besides XPath expressions. And in `XPathQueryTest` we will put the tests involving only XPath expressions. TODO maybe move the various eXist XQuery extensions in another class ...

Field Summary

Fields inherited from interface org.custommonkey.xmlunit.XSLTConstants
`XSLT_END, XSLT_IDENTITY_TEMPLATE, XSLT_START, XSLT_STRIP_WHITESPACE, XSLT_XML_OUTPUT_NOINDENT`

Fields inherited from interface org.custommonkey.xmlunit.XMLConstants
`CLOSE_NODE, END_CDATA, END_COMMENT, END_PROCESSING_INSTRUCTION, OPEN_END_NODE, OPEN_START_NODE, START_CDATA, START_COMMENT, START_DOCTYPE, START_PROCESSING_INSTRUCTION, XML_DECLARATION, XMLNS_PREFIX, XPATH_ATTRIBUTE_IDENTIFIER, XPATH_CHARACTER_NODE_IDENTIFIER, XPATH_COMMENT_IDENTIFIER, XPATH_NODE_INDEX_END, XPATH_NODE_INDEX_START, XPATH_PROCESSING_INSTRUCTION_IDENTIFIER, XPATH_SEPARATOR`

Constructor Summary
`XQueryTest(java.lang.String arg0)`

Method Summary
`void` `bugtestAttributeNamespace()`
`void` `bugtestInMemoryNodeSequences()`
`void` `bugtestXUpdateAttributesAndElements()`
`void` `bugtestXUpdateWithAdjacentTextNodes()`
`static void` `main(java.lang.String[] args)`
`void` `obsoleteTestLargeAttributeRealFile()` This test is obsolete because testLargeAttributeSimple() reproduces the problem without a file, but I keep it to show how one can test with an XML file.
`void` `testAttributeAxis()`
`void` `testCombiningNodeSequences()`
`void` `testFor()`
`void` `testFunctionDoc()`
`void` `testFunctionDocExternal()`
`void` `testImprobableAxesAndNodeTestsCombinations()`
`void` `testLargeAttributeContains()`
`void` `testLargeAttributeKeywordOperator()`
`void` `testLargeAttributeSimple()`
`void` `testLet()`
`void` `testModule()`
`void` `testNameConflicts()`
`void` `testNamespace()`
`void` `testNodeName()`
`void` `testPrecedence()`
`void` `testRecursion()`
`void` `testRetrieveLargeAttribute()`
`void` `testSerialization()`
`void` `testTextConstructor()`
`void` `testTypedVariables()`
`void` `testUserEscalationForInMemoryNodes()`
`void` `testVariable()`
`void` `testVirtualNodesets()`
`void` `testWhereClause()`

Methods inherited from class org.custommonkey.xmlunit.XMLTestCase

`assertNodeTestPasses, assertNodeTestPasses, assertNotXpathExists, assertNotXpathExists, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLEqual, assertXMLIdentical, assertXMLIdentical, assertXMLIdentical, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLNotEqual, assertXMLValid, assertXMLValid, assertXMLValid, assertXMLValid, assertXpathEvaluatesTo, assertXpathEvaluatesTo, assertXpathExists, assertXpathExists, assertXpathNotExists, assertXpathNotExists, assertXpathsEqual, assertXpathsEqual, assertXpathsEqual, assertXpathsEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathsNotEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, assertXpathValuesNotEqual, compareXML, compareXML, compareXML, compareXML, compareXML, setControlParser, setIgnoreWhitespace, setTestParser`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryTest

    public XQueryTest(java.lang.String arg0)

Method Detail

### testLet

    public void testLet()

### testFor

    public void testFor()

### testRecursion

    public void testRecursion()

### testCombiningNodeSequences

    public void testCombiningNodeSequences()

### bugtestInMemoryNodeSequences

    public void bugtestInMemoryNodeSequences()

### testVariable

    public void testVariable()

### testVirtualNodesets

    public void testVirtualNodesets()

### testWhereClause

    public void testWhereClause()

### testTypedVariables

    public void testTypedVariables()

### testPrecedence

    public void testPrecedence()

### testImprobableAxesAndNodeTestsCombinations

    public void testImprobableAxesAndNodeTestsCombinations()

### testNamespace

    public void testNamespace()

### testModule

    public void testModule()

### testFunctionDoc

    public void testFunctionDoc()

### testFunctionDocExternal

    public void testFunctionDocExternal()

### testTextConstructor

    public void testTextConstructor()

### testUserEscalationForInMemoryNodes

    public void testUserEscalationForInMemoryNodes()

### testAttributeAxis

    public void testAttributeAxis()

### testLargeAttributeSimple

    public void testLargeAttributeSimple()

### testLargeAttributeContains

    public void testLargeAttributeContains()

### testLargeAttributeKeywordOperator

    public void testLargeAttributeKeywordOperator()

### bugtestAttributeNamespace

    public void bugtestAttributeNamespace()

### testNameConflicts

    public void testNameConflicts()

### testSerialization

    public void testSerialization()

### testRetrieveLargeAttribute

    public void testRetrieveLargeAttribute()
                                    throws XMLDBException

  Throws:
    `XMLDBException`

### obsoleteTestLargeAttributeRealFile

    public void obsoleteTestLargeAttributeRealFile()

  This test is obsolete because testLargeAttributeSimple() reproduces the problem without a file, but I keep it to show how one can test with an XML file.

### bugtestXUpdateWithAdjacentTextNodes

    public void bugtestXUpdateWithAdjacentTextNodes()

### bugtestXUpdateAttributesAndElements

    public void bugtestXUpdateAttributesAndElements()

### testNodeName

    public void testNodeName()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.